SCSI_PARTSIZE(9)

NAME
scsi_partsize - Parse cylinders/heads/sectors from PC partition table

SYNOPSIS

int scsi_partsize(unsigned char * buf, unsigned long capacity, unsigned int * cyls, unsigned int * hds, unsigned int * secs);

ARGUMENTS

buf
    partition table, see scsi_bios_ptable

capacity
    size of the disk in sectors

cyls
    put cylinders here

hds
    put heads here

secs
    put sectors here

DESCRIPTION

determine the BIOS mapping/geometry used to create the partition table, storing the results in *cyls, *hds, and *secs

RETURNS

-1 on failure, 0 on success.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT